Package io.papermc.paper.entity

# Enum Class LookAnchor

java.lang.Object
java.lang.Enum<LookAnchor>
io.papermc.paper.entity.LookAnchor

All Implemented Interfaces:
  `Serializable`, `Comparable<LookAnchor>`, `Constable`

@Experimental public enum LookAnchor extends Enum<LookAnchor>
Represents what part of the entity should be used when determining where to face a location/entity.

See Also:
  - `Player.lookAt(Location, LookAnchor)`
  - `Player.lookAt(Entity, LookAnchor, LookAnchor)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EYES`
Represents the entity's eyes.
`FEET`
Represents the entity's feet.

## Method Summary

Modifier and Type
Method
Description
`static LookAnchor`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LookAnchor[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FEET

public static final LookAnchor FEET
Represents the entity's feet.

See Also:
  - `Entity.getLocation()`

### EYES

public static final LookAnchor EYES
Represents the entity's eyes.

See Also:
  - `LivingEntity.getEyeLocation()`

## Method Details

### values

public static LookAnchor[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LookAnchor valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null